Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235281 - Return 404 instead of 500 on unknown xml.
Summary: Return 404 instead of 500 on unknown xml.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: John Sanda
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 20:02 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
2 users (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-25 15:14:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description James Bowes 2007-04-04 20:02:22 UTC
If someone requests a url we don't know about under our xmlrpc hierarchy, RHN
will raise an unhandled exception and 500. Instead, we should catch the
exception and return 404.

Comment 1 James Bowes 2007-05-22 17:25:26 UTC
RHN wasn't returning 500 already. The fix as implemented simply logs an
unknownXML error, rather than sending a traceback email.

Comment 2 James Bowes 2007-06-19 14:45:42 UTC
To test:
 - install the content management tools
 - run 'rhn-manage-channel-internal
--server=http://xmlrpc.rhn.webqa.redhat.com/XMLRPC --list --label rhel-5'
 - You'll get an error on the client, but not that no traceback email is sent
 - if debugging is turned up to 4 or higher, a message will be logged in rhn.log

Comment 3 John Sanda 2007-06-22 14:34:34 UTC
Here is what I see when I run the command in Comment 2:

[jsanda@espresso ~]$ rhn-manage-channel-internal
--server=http://xmlrpc.rhn.webqa.redhat.com/XMLRPC --list --label rhel-5
Red Hat Network username: jsanda_qa
Red Hat Network password:
While running 'channel.lookupChannel': caught
<type 'instance'> : Invalid request received (class xmlrpc.channel is not
defined (function = lookupChannel)).

Comment 4 John Sanda 2007-06-22 15:00:44 UTC
Did not find any traceback emails that were sent.

Verified in webqa.

Comment 5 John Sanda 2007-07-23 18:00:22 UTC
Verified in stage.

Comment 6 James Bowes 2007-07-25 15:14:42 UTC
rhn502 released.


Note You need to log in before you can comment on or make changes to this bug.